Subject: Re: [RFC 3/3] cfg80211 thoughts on configuration

From: Johannes Berg <[email-masked]>
Date: Wed, 20 Sep 2006 09:03:07 +0200

On Wed, 2006-09-20 at 08:33 +0200, Thomas Graf wrote:

> I think I brought this up already, it's a lot easier to understand
> things if you keep it symmetric, i.e. NL80211_CMD_GET_CONFIG triggers
> sending a NL80211_CMD_NEW_CONFIG.

Yes, I think you did :) I'll do that as soon as I get around to
reworking it (hoping for more comments...)

> Just use a nested attribute here, this new array format you introduce
> having 1 byte ID, 1 byte len is equivalent to using a set of nested
> attributes with nla_type=id, nla_len=len.

No, it is only validated, it is then supposed to be copied verbatim into
some 802.11 frames. I thought validating it would be a good idea to not
send out totally bogus frames, but I didn't want to have to mangle it in
the kernel.

johannes